### Signal

# Gtk SignalListItemFactory::setup

since: 4.0

#### Declaration

    void
    setup (
      GtkSignalListItemFactory* self,
      GObject* object,
      gpointer user_data
    )

#### Description [src]

Emitted when a new listitem has been created and needs to be setup for use.

It is the first signal emitted for every listitem.

The `GtkSignalListItemFactory::teardown` signal is the opposite of this signal and can be used to undo everything done in this signal.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.
Available since: 4.0

#### Parameters

`object`

  Type: `GObject`

  The `GObject` to set up.

  The data is owned by the caller of the function.